### Method

# RB ExtDB request

#### Declaration [src]

    gboolean
    rb_ext_db_request (
      RBExtDB* store,
      RBExtDBKey* key,
      RBExtDBRequestCallback callback,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Requests a metadata item. If the item is cached, the callback will be called synchronously. Otherwise, metadata providers will provide results asynchronously.

#### Parameters

`key`

  Type: `RBExtDBKey`

  Metadata lookup key.

  The data is owned by the caller of the method.

`callback`

  Type: `RBExtDBRequestCallback`

  Callback to call with results.

`user_data`

  Type: `gpointer`

  User data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy function for `user_data`.

#### Return value

Type: `gboolean`

`TRUE` if results may be provided after returning.